gparted (0.32.0-2.lnd.edu3) unstable; urgency=medium

  * Optimize translation
    gpartedChinese_policyUTF8_cz_20220420.patch

 -- duanyuehui <duanyuehui@loongson.cn>  Wed, 20 Apr 2022 16:48:37 +0800

gparted (0.32.0-2.lnd.edu2) unstable; urgency=medium

  * Optimize translation

 -- Ling Yang <lingyang@loongson.cn>  Mon, 20 Dec 2021 16:38:02 +0800

gparted (0.32.0-2.lnd.edu1) unstable; urgency=medium

  * Initialized from upstream release

 -- Ling Yang <lingyang@loongson.cn>  Mon, 20 Dec 2021 14:23:21 +0800

gparted (0.32.0-2.lnd.2) unstable; urgency=medium

  * Non-maintainer upload.
  * fix Chinese Translation

 -- Zhang Na <zhangna@loongson.cn>  Wed, 22 Sep 2021 11:41:58 +0800

gparted (0.32.0-2.lnd.1) unstable; urgency=medium

  * enable extra device mount in /media/gparted/fstab 

 -- Nan xiongchao <nanxiongchao@loongson.cn>  Wed, 07 Jul 2021 11:48:34 +0800

gparted (0.32.0-2.1) unstable; urgency=medium
  
  * Fix could not find mount point 

 -- Huang Jia Wen <huangjiawen@loongson.cn>  Mon, 19 Oct 2020 08:41:09 -0400

gparted (0.32.0-2) unstable; urgency=medium

  * Really suggest e2fsprogs (Closes: #887225)

 -- Phillip Susi <psusi@ubuntu.com>  Wed, 29 Aug 2018 09:23:25 -0400

gparted (0.32.0-1) unstable; urgency=medium

  * New upstream release (Closes: #902681, #649213, #653454) (LP: #1779292)
  * Change build dep from libparted0-dev to libparted-dev (Closes: #878629)
  * Drop build dep on rarian-compat (Closes: #885651)
  * Drop --enable-online-resize as it is enabled by default
  * Merge misc minor packaging changes from Jeremy Bicha (Closes: #883901)
  * Recommend e2fsprogs (Closes: #887225)

 -- Phillip Susi <psusi@ubuntu.com>  Wed, 22 Aug 2018 14:25:34 -0400

gparted (0.30.0-3) unstable; urgency=medium

  * Disable make check again.

 -- Phillip Susi <psusi@ubuntu.com>  Fri, 01 Dec 2017 13:15:24 -0500

gparted (0.30.0-2) unstable; urgency=medium

  * Merge the following changes from Ubuntu:
  * Switch to simple dh7 style rules
  * Enable all hardening flags
  * Bump debhelper compat to 10
  * Update debian/watch to watch for .gz or .xz tarballs too
  * Drop obsolete dirs, menu and .xpm
  * Drop gparted.postinst which fixed a mistake from Debian Lenny

 -- Phillip Susi <psusi@ubuntu.com>  Fri, 01 Dec 2017 10:43:26 -0500

gparted (0.30.0-1) unstable; urgency=medium

  * New upstream release (Closes: #857015, #432141)
  * Drop 01_fix-desktop.patch
  * Drop 02_use-pkexec.patch: upstream now uses pkexec (Closes: #658314)
  * Disable make check as it fails in chroot

 -- Phillip Susi <psusi@ubuntu.com>  Thu, 02 Nov 2017 12:31:07 -0400

gparted (0.25.0-1) unstable; urgency=medium

  * New upstream release
  * Integrate changes from 0.19.0-2.1 and 0.19.0-3
  * 04_inhibit-udisks2.patch: removed due to inclusion in new upstream

 -- Phillip Susi <psusi@ubuntu.com>  Mon, 01 Feb 2016 19:46:22 -0500

gparted (0.24.0-1) unstable; urgency=medium

  * New upstream release
  * 03_fix-crash.patch: removed due to inclusion in new upstream.

 -- Phillip Susi <psusi@ubuntu.com>  Sun, 22 Nov 2015 18:59:17 -0500

gparted (0.19.0-3) unstable; urgency=high

  * Standards Version is 3.9.6
  * Add "Breaks: udisks2 (<< 2.1.5)" (Closes: #783374)
  * Don't use bzip2 to compress data tarball
  * Remove debian/source/options

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 26 May 2015 10:38:34 +0100

gparted (0.19.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream fix to prevent automounting during partitioning on systems
    using udisks2 (closes: #781716).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 12 Apr 2015 18:31:55 +0000

gparted (0.19.0-2) unstable; urgency=medium

  * 03_fix-crash.patch: cherry pick of upstream commit that fixes
    a crash caused by a cross thread write after free.

 -- Phillip Susi <psusi@ubuntu.com>  Sun, 09 Nov 2014 16:44:03 -0500

gparted (0.19.0-1) unstable; urgency=medium

  * New upstream release (Closes: #574001)
  * Add mtools to Suggests: (Closes: #742312)

 -- Phillip Susi <psusi@ubuntu.com>  Wed, 11 Jun 2014 10:50:11 -0400

gparted (0.18.0-1) unstable; urgency=low

  * New upstream release
    Closes: #684951

    Key changes:
    Fix partition size less than ext2/3/4, ntfs, reiserfs file system
    Prevent crash when creating new partition on disk with loop label
    Fix partition size less than ext2/3/4, ntfs, reiserfs file system (#723543)
    Fix default partition table can not handle > 2 TiB disks (#711098)
    Prevent crash when creating new partition on disk with loop label (#721988)
    Replace obsolete FSF postal address in copyright notices (#721565)
    Make file system support dialog viewable on 800x600 screens (#342682)

  * Drop 0001-Remove-incorrect-rounding-in-file-system-resize-7235.patch

 -- Phillip Susi <psusi@ubuntu.com>  Tue, 25 Feb 2014 14:38:33 -0500

gparted (0.17.0-5) unstable; urgency=medium

  * 0001-Remove-incorrect-rounding-in-file-system-resize-7235.patch:
    apply upstream patch to avoid corrupting some filesystems on
    resize (Closes: #737247)

 -- Phillip Susi <psusi@ubuntu.com>  Thu, 06 Feb 2014 12:42:07 -0500

gparted (0.17.0-4) unstable; urgency=low

  * Enable online resize feature added in 0.17.0 (#734555)

 -- Phillip Susi <psusi@ubuntu.com>  Wed, 08 Jan 2014 14:26:13 -0500

gparted (0.17.0-3) unstable; urgency=low

  * Change Suggests: ntfsprogs to ntfs-3g

 -- Phillip Susi <psusi@ubuntu.com>  Fri, 27 Dec 2013 15:18:40 -0500

gparted (0.17.0-2) unstable; urgency=low

  * Fix 0.16.2-1 reversion in last upload.

 -- Phillip Susi <psusi@ubuntu.com>  Sat, 14 Dec 2013 12:40:15 -0500

gparted (0.17.0-1) unstable; urgency=low

  * New upstream release, Key changes include:
    Add support for online resize
    Recognize Linux Swap Suspend and Software RAID partitions
    Fix busy detection for Linux Software RAID and extended partitions
    Fix systemctl runtime mask to prevent automounting partitions

    Bug Fixes:

    Add support for online resize (#694622)
    Fix usage of swap space is not reported (#708107)
    Turn on resize2fs progress bar (#709276)
    Fix systemctl runtime mask to prevent automounting partitions (#708378)
    Stop using deprecated method free_colors() (part of #652044)
    Stop using deprecated widget alignment enumerators (part of #652044)
    Recognize Linux Swap Suspend and Software RAID partitions (#709640)
    - Prevent GParted starting stopped Linux Software RAID arrays
    Fix busy detection for Linux Software RAID and extended partitions (#712633)
    Make partition information dialog warnings selectable (#705596)
    Change default file system to ext4 with fall back to ext3/2 (#711114)
    Add an AppData file (#709164)
    - Thanks to Piotr Drąg for making the AppData file translatable

  * Add xfsdump, hfsprogs, hfsutils, mtools to suggested list (LP: #334170)

 -- Phillip Susi <psusi@ubuntu.com>  Fri, 13 Dec 2013 10:19:12 -0500

gparted (0.16.2-1) unstable; urgency=low

  * New upstream release 0.16.2
    Closes: #717408

    Key changes:
    Fix crash if click apply before pending operations fully displayed
    Fix FAT16/32 labels are sometimes shown corrupted
    Fix regression - linux-swap resize broken
    Fix to not hide the progress of the tools used - ntfsresize (#697662)
    Fix crash if click apply before pending operations fully displayed (#699452)
    Fix FAT16/32 labels are sometimes shown corrupted (#700228)
    Fix setting the backup boot sector when resizing NTFS (#701075)
    Set NTFS minimum partition size to 2 MiB (#697848)
    Make include guards unique (#539297)
    Ensure running GParted is named correctly under GNOME Shell (#705323)
    Clear btrfs file system super block mirror copies too (#705426)
    Prepare for btrfs tools using IEC prefix multipliers (#706914)
    Add create_with_label flag to FS structure (#701569)
    Inhibit systemd automounting (#701676)
    Stop using "locate" for gnome-doc-utils check in autogen.sh (#702040)
    Fix name changes in dosfstools 3.0.18+ breaking FAT16/32 support (#704629)
    Fix to not hide the progress of the tools used - ntfsresize (#697662)
    Fix regression - linux-swap resize broken (#706604)
    Update Help Manual with GPT flags and Force Cancel button (#707070)
    Add missing colon to label in en_CA translation (#685735)
    Ensure active tense of mount menu option in en_CA translation (#694700)

 -- Phillip Susi <psusi@ubuntu.com>  Fri, 20 Sep 2013 21:37:43 -0400

gparted (0.16.1-1) unstable; urgency=low

  * New upstream release 0.16.1 
    Closes: #701012, #694689

    GParted 0.16.1

    This release includes another critical bug fix for a potential crash that
    might cause loss of data while moving or copying a partition.

    Key changes include:

      Avoid another crash in GParted when moving or copying partitions

    GParted 0.16.0

    This release of GParted includes a critical bug fix for a crash that might
    cause loss of data while moving or copying a partition. Also included are
    bug fixes, enhancements and language translation updates.

    Key changes include:

      Avoid crash in GParted when moving or copying partitions
      Fix GParted scans forever blank disk in virtual machine
      Add support for f2fs file system

    GParted 0.15.0

    The big news with this release is the ability to track live updates of
    command execution progress. This should help with determining the status
    of long running commands by enabling users to see the live command output
    in the details section of the apply operations window. This new ability is
    implemented by a fundamental code change that spawns commands to run
    asynchronously. Also included in this release are bug fixes and language
    translation updates.

    Key changes include:

      Live tracking of command progress output in the details log
      Move operations are twice as fast as prior versions
      Proper cancel support added
      Volume label length now based on file system type
      Unallocated space is selected by default
      New key bindings added:
      - Insert --> New Partition
      - Ctrl+Enter --> Apply All Operations

    GParted 0.14.1

    This release of GParted includes some important bug fixes and some
    language translation updates.

    Key changes include:

      Fix Linux software RAID device detection
      Fix logical partition grow overlaps extended partition end

    GParted 0.14.0

    The big news with this release of GParted is the ability to move, resize,
    check, create, and delete physical volumes under Logical Volume Management
    (lvm2 pv). Also included are bug fixes and language translation updates.

    Key changes include:

      Add LVM PV read-write support
      Fix crash when pressing Esc in dialogs with number entry

    GParted 0.13.1

    This release of GParted fixes a failure to mount rescued file systems
    larger than 2 GiB or file systems that start after the initial 2 GiB of
    the disk device. Also includes language translations updates.

    Key changes include:

      Fix failure creating read-only view of rescued file systems

    GParted 0.13.0

    This release of GParted adds the ability to show if partition size differs
    from file system size. This new feature enables you to identify
    unallocated space within a partition and can suggest how you can put this
    space to good use. Also included are bug fixes and language translation
    updates.

    Key changes include:

      Show difference if partition size differs from file system size
      Avoid end partition overlap when resizing extended partition

  * Merged upstream: 03_drop-swraid.patch
    Refresh 02_use-pkexec.patch

  * Standards Version is 3.9.4

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 07 Jun 2013 10:21:40 +1000

gparted (0.12.1-2) unstable; urgency=low

  * debian/patches/drop-swraid.patch: Upstream patch to remove broken and
    uneeded swraid support that was causing errors with mdadm devices
    (LP: #1074606) (Closes: #697872).

 -- Phillip Susi <psusi@ubuntu.com>  Thu, 29 Nov 2012 13:55:11 -0500

gparted (0.12.1-1) unstable; urgency=low

  * New upstream release 
    Key changes include:
    gparted-0.12.1
      Fix attempt data rescue fail to open read-only view (#673246)
      Fix for FS flags becoming unknown after change label
      Fix for FS size & flags becoming unknown after change UUID
      Ensure Align to MiB does not overlap following partition (#661744)
      Rework align to MiB adjustments to end sector of partition
      Use cached method first to read UUID to shorten scan time
      Fix uninitialised read when pasting into an existing partition
      Ensure space for EBR when resizing Extended partition (#664050)
      Add requested partition details to log when resize/move fails
      Improve reiser4 file system uuid reading method
      Enable new fs resize library available with parted-3.1 (#668281)
    gparted-0.12.0
      Restore write label capability for linux-swap
      New partition dialog: first filesystem in list is always included
      Fix for implicit assumption that 'FS_UNKNOWN' is last in FILESYSTEMS list
      Fix regression when shrinking, moving and copying swap (#670017)
      Warn when an LVM2 PV is a member of a damaged VG (#160878)
      Display VG export status with an LVM2 PVs busy status (#160787)
      Prevent crash in the LVM2 PV information cache (#160787)
      Display any errors from querying LVM2 PVs to the user (#160787)
      Fix detection of LVM2 PV busy status when exported VGs exist (#160787)
      Don't ignore any errors resizing btrfs on Linux >= 3.2 (#669389)
      Remove temporary file after reading UUID of fat16 and fat32 filesystems
      Restructure and word-smith UUID translatable text
      Implement changing UUID for NTFS (#667278)
      Use custom text functions for mount/unmount and swapon/swapoff texts
      Make FileSystem objects in GParted_Core accessible and usable by others
      Check LVM cache only for LVM physical volumes
      Switch to using lvs to identify active LVM LVs (#160787)
      Show LVM2 PVs as supported, read-only (#160787)
      Display busy status of LVM2 PVs (#160787)
      Display LVM2 VGNAME as the PV's mount point (#160787)
      Lazy initialize the cache from querying LVM2 PVs (#160787)
      Cache results from querying all LVM2 PVs (#160787)
      Allow unused space in a partition to equal its size
      Report space usage of LVM2 PVs (#160787)
      Rename FS_LVM2 -> FS_LVM2_PV (#160787)
      Increase FAT32 minimum size to 33 MiB (#668491)
      Fix detection of multiple SW RAID (md) devices (#668486)
      Enhance documentation for UUIDs and copying partitions (#608308)
      Add support for setting UUID (#667278)
      Fix mismatched field precision type compiler warning
      Reduce graphic processing requirement for pulse bar
      Debian Bug - gparted: 100% cpu usage (Closes: #499193)
      Debian Bug - gparted: Lots of animation makes use over SSH
                            X-tunnel slow (Closes: #519764)
      Update xfs resize and copy to use new helper functions
      Update btrfs resize to use new helper functions
      Update jfs resize to use new helper functions
      Add resize support to nilfs2 (#642842)
      Add helper functions for mounted file system resizing operations
      Add nilfs2 support (#642842)
      * Enable hardened build flags
  * Previously applied patch: fix-swap.patch
  * DH compatibility level is 9
  * Standards version is 3.9.3

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 14 Jun 2012 10:00:43 +1000

gparted (0.11.0-2) unstable; urgency=low

  * Add fix-swap.patch: fix regression where moving swap partitions
    corrupted them by backporting upstream commit
    93241cccbf4974a4a0ce4024cf94278f9ba3f386 LP: #935685

 -- Phillip Susi <psusi@ubuntu.com>  Tue, 21 Feb 2012 10:11:00 -0500

gparted (0.11.0-1) unstable; urgency=low

  * Merge from 0.8.1-1ubuntu5: Run dh_translations during build,
    if available.
  * New upstream release 

    GParted 0.11.0  (2011-12-13)

    Key changes include:
    - Display ext2/3/4, ntfs, and btrfs unicode volume labels properly
    - Add labelling of btrfs file systems
    - Enable XFS copy to new smaller partition

    Bug Fixes
    - Display ext2/3/4 unicode volume labels properly (#662537)
    - Display ntfs unicode volume labels properly
      LP: #614994
    - Fix FAT16/32 label displayed as uppercase (#625337)
    - Add labelling of btrfs file systems (#663207)
      Thanks to Mike Fleetwood for small patch
      Requires btrfs-tools package yet-to-be-released (> Oct 25, 2011)
    - Fix btrfs volume label reading (#663590)
      Thanks to Mike Fleetwood for small patch
    - Enable XFS copy to new smaller partition (#663806)
      Thanks to Stephen Kirkby for small reverse umount order patch
    - Use newer btrfs multi-tool control command first (#663884)
      Thanks to Mike Fleetwood for this patch
    - Avoid redundant file system maximize actions (#663980)

 -- Phillip Susi <psusi@ubuntu.com>  Mon, 23 Jan 2012 18:39:56 -0500

gparted (0.10.0-1ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - run configure with --enable-libparted-dmraid
    * Use pkexec instead of gksu for authentication:
      - debian/patches/01_fix-desktop.patch: switch to pkexec.
      - debian/patches/02_use-pkexec.patch: add policy file and adjust
        Makefiles.
      - debian/control: remove gksu from recommends.
      - debian/rules, debian/gparted-pkexec: install wrapper to work around
        .desktop files not being able to call pkexec directly.

 -- Phillip Susi <psusi@cfl.rr.com>  Wed, 07 Dec 2011 14:29:26 -0500

gparted (0.10.0-1) unstable; urgency=low

  * New upstream release

    GParted 0.10.0  (2011-11-01)

    * Merge overlapping operations
    * Add ability to resize btrfs file systems
    * Add detection of exfat file systems

    GParted 0.9.1   (2011-09-19)

    * Fix NTFS partition resize fail problem
    * Fix some compiler warnings

    GParted 0.9.0   (2011-07-18)

    * Fix size off by one sector with unrecognized disk label
    * Fix GParted crashes with assertion (head_size <= 63)
      - Requires libparted-2.4 or higher
      - LP: #545911

  * Fix out-of-date-standards-version
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 13 Nov 2011 09:45:30 +1100

gparted (0.8.1-1ubuntu4) oneiric; urgency=low

  * Suggests instead of Recommends gpart for now since it is in universe.

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 16 Sep 2011 05:45:05 -0500

gparted (0.8.1-1ubuntu3) oneiric; urgency=low

  * debian/gaprted-pkexec: use /bin/sh, not /bin/bash.
  * debian/rules: install gparted-pkexec wrapper to /usr/bin, not
    /usr/sbin as it may not be in the path.
  * debian/patches/02_use-pkexec.patch: remove superfluous line break in
    policy files.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Aug 2011 09:30:48 -0400

gparted (0.8.1-1ubuntu2) oneiric; urgency=low

  * Use pkexec instead of gksu for authentication:
    - debian/patches/01_fix-desktop.patch: switch to pkexec.
    - debian/patches/02_use-pkexec.patch: add policy file and adjust
      Makefiles.
    - debian/control: remove gksu from recommends.
    - debian/rules, debian/gparted-pkexec: install wrapper to work around
      .desktop files not being able to call pkexec directly.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Aug 2011 14:49:48 -0400

gparted (0.8.1-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - run configure with --enable-libparted-dmraid
  * dropped debian/patches/02_enable-libparted-dmraid-2.patch:
    - part of the 0.8.1 upstream release
  * drop dh_autoreconf

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 13 Jul 2011 11:23:41 +0200

gparted (0.8.1-1) unstable; urgency=low

  * New upstream
    Key changes include:
    + Remove all usage of kpartx to avoid partition entry duplicates
    + Add configure option --enable-libparted-dmraid
    Bug Fixes
    + Remove all usage of kpartx to avoid partition entry duplicates
      LP: #719129
    + Add configure option --enable-libparted-dmraid
      LP: #719129
      Thanks go to Phillip Susi for help with this idea
    + Ensure graphical error message displayed when run by non-root user
      LP: #696937
    + Simplify command output cleanup implementation
      Thanks go to Seth Heeren for this method replacement patch
    + Enable unmount of partition with apostrophe in label
      LP: #151796

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 Jun 2011 13:07:40 +1000

gparted (0.8.0-2) unstable; urgency=low

  * gpart is not available on all achitectures 
      Recommends gpart

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Mar 2011 09:04:42 +1100

gparted (0.8.0-1) unstable; urgency=low

  * New upstream release
    Add attempt data rescue for lost partitions
      Depends on gpart
    Fix paste destination partition smaller than source
    Prevent visual disk display area from disappearing
      LP: #583746

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 21 Feb 2011 22:41:03 +1100

gparted (0.7.1-1) unstable; urgency=low

  * New upstream release
    Fix incorrect dmraid partition path name
    Handle characters like spaces in mount points

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 20 Dec 2010 12:12:19 +1100

gparted (0.7.0-1ubuntu1) natty; urgency=low

  [ Phillip Susi ]
  * Add 02_enable-libparted-dmraid-2.patch: cherry pick
    new configure parameter from upstream to disable
    gparted specific dmraid handling and leave it to
    libparted, which handles it correctly now. (LP: #719129)

  [ Michael Terry ]
  * debian/rules, debian/control:
    - Rather than modifying configure directly, call dh_autoreconf
  * debian/patches/02_enable-libparted-dmraid-2.patch:
    - Use DEP3 headers to explain origin of this patch

 -- Phillip Susi <psusi@cfl.rr.com>  Mon, 28 Feb 2011 14:53:10 -0500

gparted (0.7.0-1) unstable; urgency=high

  * New upstream release
    Fix gparted crash at start with glibmm-ERROR
      Closes: 601818
      LP: #609477, #617885
    Fix crash moving more than one logical partition right
      Closes: 601817
    Skip move/copy action because linux swap contains no data
      LP: #401228
    Fix several memory leaks and valgrind errors
    Remove unnecessary null pointer checks
    Fix partitions moved or copied are 1 MiB larger
    Insert additional translator comments
    Add initial support for btrfs

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 30 Oct 2010 11:08:59 +1100

gparted (0.6.2-1) unstable; urgency=low

  * New upstream release 
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 24 Aug 2010 13:45:24 +1000

gparted (0.6.0-1) unstable; urgency=low

  * New upstream release 
    Fix mkswap failure with "UUID parsing failed" message
    Closes: 573836
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 30 Jun 2010 21:37:01 +1000

gparted (0.5.2-2) unstable; urgency=low

  * Rebuild against parted 2.2
    Closes: 574905

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 22 Mar 2010 13:10:57 +1100

gparted (0.5.2-1) unstable; urgency=low

  * New upstream release
    Fix error message for NTFS partitions if ntfsprogs is not installed
    Closes: 550958
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 14 Mar 2010 12:54:22 +1100

gparted (0.5.1-1) unstable; urgency=high

  * New upstream release 
    Fix an important bug when users are resizing file systems with newer
    GNU/Linux kernels, udev, and parted. See
    http://gparted-forum.surf4.info/viewtopic.php?id=13777

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 27 Jan 2010 12:50:10 +1100

gparted (0.5.0-1) unstable; urgency=low

  * New upstream release 
  * Don't depend on hal
    Closes: 558022
  * Debian source format is 3.0 (quilt)
    Closes: 482705

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 15 Dec 2009 12:06:03 +1100

gparted (0.4.8-1) unstable; urgency=low

  * New upstream release 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 07 Nov 2009 20:00:00 +1100

gparted (0.4.7-1) unstable; urgency=low

  * New upstream release 
  * Update debian/watch 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 23 Oct 2009 18:15:07 +1100

gparted (0.4.6-2) unstable; urgency=low

  * Update debian/watch 
  * Recommends gksu
    Closes: 542941

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 23 Aug 2009 15:44:32 +1000

gparted (0.4.6-1) unstable; urgency=low

  * New upstream release 
  * Fix out-of-date-standards-version
  * Fix patch-system-but-no-source-readme

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 21 Aug 2009 10:44:57 +1000

gparted (0.4.5-3) unstable; urgency=low

  * Add the recommends list to the suggests list in debian/control
    Closes: 534574
  * Build with "LDFLAGS=-Wl,--as-needed"
    Patch by Fabian Greffrath
    Closes: 508105
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 08 Jul 2009 22:07:19 +1000

gparted (0.4.5-2) unstable; urgency=low

  * Merge from Ubuntu
    - Use gksu; closes: 532465
    - Mention application name in the menu entry; closes: 525529

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 10 Jun 2009 14:20:26 +1000

gparted (0.4.5-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #383628), remaining changes:
    - Go back to using gksu rather than su-to-root (since menu isn't
      in Ubuntu main)
      + debian/control
      + debian/patches/01_fix-desktop.patch
  * Mention application name in the menu entry (LP: #383612)
    - debian/patches/01_fix-desktop.patch

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 04 Jun 2009 16:58:06 +0200

gparted (0.4.5-1) unstable; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 21 May 2009 22:01:15 +1000

gparted (0.4.4-1) unstable; urgency=low

  * New upstream release
    Closes: 517959, 510849
  * Drop 10_dev_mapper.patch as upstream bug 556114 was closed; see:
    http://bugzilla.gnome.org/show_bug.cgi?id=556114
    http://bugzilla.gnome.org/show_bug.cgi?id=317262#c36
    http://gparted-forum.surf4.info/viewtopic.php?pid=19714
  * Recommends kpartx, dmraid and dmsetup
  * Suggests dosfstools; closes: #505568

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 19 Apr 2009 20:44:24 +1000

gparted (0.4.3-1) unstable; urgency=low

  * Merge 0.4.3-0ubuntu1
    Use hal-lock to acquire exclusive disk device access; closes: 444592
    Fix race condition between gparted and udev; closes; closes: 344955
  * Standards version is 3.8.1
  * debhelper compat is 7
  * Use dh_prep instead of dh_clean -k
  * Remove dependency on menu; closes: #519860
  * Recommends yelp; closes: #502077

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 18 Mar 2009 10:36:55 +1100

gparted (0.4.3-0ubuntu1) jaunty; urgency=low

  [ Surfaz Gemon Meme, Colin Watson ]
  * New upstream release (LP: #305280)
    + Added support for ext4 file system (LP: #137872)
      - Support for ext4 is built into version 2.6.28 of the Linux kernel
      - e2fsprogs version 1.41.0 or higher required
    + Fixed bug in german translation (LP: #45449)
    + Fixed 'fails to recognize newly created swap partition'
      (LP: #137700, #114713)
    + Reduced file system information disk reads to improve performance
      (LP: #311470)
    + Fixed typo of "freedeskdesktop" in hal-lock name (LP: #37768)

  * debian/patches
    + dropped 05_GParted_Core.cc.diff, merged upstream
    + refreshed 10_dev_mapper.patch to be applied correctly
    + refreshed 01_fix-desktop.patch to be applied correctly

  * debian/control
    + Added intltool to Build-Depends

  * debian/rules
    + Added --with-help-dir= to build help manual in /usr/share/gnome/help

  * debian/watch
    + Fixed debian-watch-file-should-use-sf-redirector lintian warning.

 -- Surfaz Gemon Meme <surfaz28@gmail.com>  Tue, 24 Feb 2009 13:16:44 +0000

gparted (0.4.1-2) unstable; urgency=low

  * Fix the following lintian issues:
    W: gparted source: debian-watch-file-should-use-sf-redirector line 2
    W: gparted: copyright-refers-to-versionless-license-file
       usr/share/common-licenses/GPL

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 16 Feb 2009 11:15:35 +1100

gparted (0.4.1-1) experimental; urgency=low

  * New upstream stable release
    - drop 05_GParted_Core.cc.diff, merged upstream
    - refreshed 01_fix-desktop.patch to be applied correctly
  * Updated debian/control:
    - bump standards version to 3.8.0.1, no extra change is needed
    - added intltool to build-deps

 -- Alan Baghumian <alan@technotux.org>  Mon, 15 Dec 2008 20:21:35 -0800

gparted (0.3.9-3ubuntu1) jaunty; urgency=low

  [ Pedro Fragoso ]
  * Merge from Debian unstable (LP: #281514), Ubuntu remaining changes:
    - Go back to using gksu rather than su-to-root (since menu isn't in Ubuntu
      main); previously in Ubuntu but dropped in merge from Debian.
    - debian/patches/10_dev_mapper.patch:
      + Discover /dev/mapper/* devices again

  [ Michael Vogt ]
  * build with raian-compat instead of scrollkeeper

 -- Pedro Fragoso <ember@ubuntu.com>  Wed, 05 Nov 2008 02:37:01 +0000

gparted (0.3.9-3) unstable; urgency=low

  * Don't ship scrollkeeper db; patch by Loic Minier
    closes: #502075

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 14 Oct 2008 21:50:56 +1100

gparted (0.3.9-2) unstable; urgency=low

  * Fix FTBFS on arm armel mips mipsel; patch by Thiemo Seufer
    closes: #499722

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 05 Oct 2008 18:16:57 +1100

gparted (0.3.9-1) unstable; urgency=low

  * New upstream release
    Key changes include:
    - Reduced time to move or copy partitions
    - Added ability to create and check hfs+ file systems
  * Build depends on gnome-doc-utils scrollkeeper

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 16 Sep 2008 20:45:40 +1000

gparted (0.3.8-1ubuntu2) intrepid; urgency=low

  * Discover /dev/mapper/* devices again (LP: #271796).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Oct 2008 11:53:48 +0100

gparted (0.3.8-1ubuntu1) intrepid; urgency=low
  * Merge from Debian unstable (LP: #249291), Ubuntu remaining changes:
    - Go back to using gksu rather than su-to-root (since menu isn't in Ubuntu
      main); previously in Ubuntu but dropped in merge from Debian.
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Pedro Fragoso <emberez@ubuntu.com>  Tue, 15 Jul 2008 17:40:32 +0100

gparted (0.3.8-1) unstable; urgency=low

  * New upstream bugfix release
  * Refreshed 05_GParted_Core.cc.diff to be applied cleanly.
  * Updated watch file

 -- Alan Baghumian <alan@technotux.org>  Mon, 14 Jul 2008 10:02:24 +0200

gparted (0.3.7-3ubuntu1) intrepid; urgency=low

  * Go back to using gksu rather than su-to-root (since menu isn't in Ubuntu
    main); previously in Ubuntu but dropped in merge from Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Jul 2008 09:35:39 +0100

gparted (0.3.7-3) unstable; urgency=low

  * Build depends on libparted1.8-dev; closes: #488347

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 30 Jun 2008 22:04:20 +1000

gparted (0.3.7-2) unstable; urgency=low

  * Depend on hal; closes: #487422
  * Standards version is 3.8.0
  * Don't build depend on cdbs
  * Build depends on quilt
    Remove .pc as it confuses ./configure
  * Fix the following lintian issues:
    W: gparted: package-contains-empty-directory usr/bin/
    W: gparted: menu-command-not-in-package /usr/share/menu/gparted:6
       /usr/bin/gparted

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 22 Jun 2008 11:29:23 +1000

gparted (0.3.7-1) unstable; urgency=low

  * New upstream bugfix release
    - installs GParted binary to /usr/sbin (Closes: #459976).
  * Dropped 06_fix-hal-policy-path.patch, obsolete. GParted now
    uses hal-lock instead of that old fdi-policy method.
  * Removed Debian manpage, now upstream ships its own.
  * Refreshed 05_GParted_Core.cc.diff to be applied cleanly.
  * Refreshed 01_fix-desktop.patch to be applied correctly.

 -- Alan Baghumian <alan@technotux.org>  Fri, 09 May 2008 12:17:16 +0200

gparted (0.3.6-1) unstable; urgency=low

  * New upstream stable release
    - adds creating label support (Closes: #427303).
  * Updated debian/control:
    - depend on menu to use su-to-root (Closes: #467205).
    - fixed build-dep wraps

 -- Alan Baghumian <alan@technotux.org>  Wed, 02 Apr 2008 10:39:11 +0200

gparted (0.3.5-1) unstable; urgency=low

  * New upstream bugfix release (Closes: #451723).
  * Dropped 02_fix-build-failure-with-g++-4.3,
    03_fdi_robustification and 04_Win_GParted.cc
    patches, merged upstream
  * Updated debian/control:
    - bump standards version to 3.7.3
    - wrapped deps and build-deps
  * Added gparted.manpages and gparted.links, (Closes: #460801).
  * Refreshed 05_GParted_Core.cc to be applied properly
  * Added 06_fix-hal-policy-path patch to fix
    gparted-disable-automount.fdi policy path, thanks
    Sjoerd Simons (Closes: #454977).
  * Refreshed 01_fix-desktop.patch to use 01_fix-desktop.patch,
    (Closes: 454050).
  * Updated menu file to fix lintian errors.

 -- Alan Baghumian <alan@technotux.org>  Thu, 07 Feb 2008 09:43:11 +0330

gparted (0.3.3-6) unstable; urgency=low

  * Fixed FTBFS on mips, closes: #449546
    Patch by Thiemo Seufer <ths@networkno.de>
  * Fixed "crashes when rescanning devices after any operation",
    closes: #446522. Patch by Denis Sirotkin <fechiny@gmail.com>

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 07 Nov 2007 21:39:41 +1100

gparted (0.3.3-5) unstable; urgency=medium

  * Add debian/patches/03_fdi_robustification.patch:
    - Install a signal handler for cleaning up the automount disabling FDI, so
      that it will be cleaned up on program crashes, too.
    - Use storage.automount_enabled_hint instead of volume.ignore for the
      automount disabling FDI. That way, the new drives will at least appear
      in Gnome and the user can mount them manually.
    - Patch by Martin Pitt <martin.pitt@ubuntu.com>
    - LP: #134712
    - Closes: 434268

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 27 Oct 2007 09:51:27 +1000

gparted (0.3.3-4) unstable; urgency=low

  * Resynchronized with Ubuntu
    - debian/patches/01_fix-desktop.patch:
      - don't specify the encoding that's deprecated, update the categories
        and set the translation domain (Closes: #444126)
    - debian/patches/02_fix-build-failure-with-g++-4.3.patch:
      - Fix build failures with g++-4.3
  * debian/control:
    - Added Homepage field and removed Homepage from description

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 29 Sep 2007 11:27:19 +1000

gparted (0.3.3-2ubuntu5) gutsy; urgency=low

  * debian/patches/01_fix-desktop.patch:
    - don't specify the encoding that's deprecated, update the categories
      and set the translation domain (LP: #145202)

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 27 Sep 2007 12:05:16 +0200

gparted (0.3.3-2ubuntu4) gutsy; urgency=low

  * Fix build failures with g++-4.3. LP: #138584.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Sep 2007 22:29:09 +0000

gparted (0.3.3-3) unstable; urgency=low

  * Resynchronized with Ubuntu.
    - debian/control: don't depend on menu.
  * Fixed the following lintian messgaes:
    - W: gparted source: debian-rules-ignores-make-clean-error line 31

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 11 Aug 2007 22:24:50 +1000

gparted (0.3.3-2ubuntu3) gutsy; urgency=low

  * Rebuild against glib, now that the fix is actually applied.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 25 Jun 2007 16:26:45 +0200

gparted (0.3.3-2ubuntu2) gutsy; urgency=low

  * Rebuild for glib ABI change.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 25 Jun 2007 11:25:10 +0200

gparted (0.3.3-2ubuntu1) gutsy; urgency=low

  * Resynchronized with Debian, remaining Ubuntu changes:
    - debian/control:
      - Maintainer: Ubuntu Core Developers
        <ubuntu-devel-discuss@lists.ubuntu.com>
      - don't depend on menu.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 18 May 2007 09:24:46 +0200

gparted (0.3.3-2) unstable; urgency=low

  * Added watch file
  * Dropped gparted-launcher.sh, using gksu instead
  * Added 01_fix-desktop patch
    - Changes name to `Partition Editor`
    - Enables gksu to run gparted with

 -- Alan Baghumian <alan@technotux.org>  Tue, 24 Apr 2007 10:19:30 +0330

gparted (0.3.3-1) unstable; urgency=low

  * New upstream release (Closes: #389510).
     - Added hfs+ support (Closes: #368776).
  * Updated debian/copyright
     - Added dates to the copyright line
     - Improved licence section
  * Updated debian/control
     - Added suggests xfsprogs, reiserfsprogs, reiser4progs, jfsutils,
     ntfsprogs, thanks Gustavo Franco (Closes: #368777).
     - Added myself and Otavio Salvador as Co-Maintainers

 -- Alan Baghumian <alan@technotux.org>  Mon, 23 Apr 2007 07:56:43 +0330

gparted (0.2.5-2) unstable; urgency=low

  * New maintainer.
  * ACK NMU. Closes: #372516.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Sep 2006 09:02:38 +1000

gparted (0.2.5-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Rebuild against libparted1.7, since libparted1.6 has been removed.
    (Closes: #372516)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 19 Jun 2006 18:42:44 +0200

gparted (0.2.5-1) unstable; urgency=low

  * New upstream release (Closes: #363249, #368085).
  * Spelling mistake fixed on longdesc (Closes: #363618).
  * Updated Standards-version.

 -- David Moreno Garza <damog@debian.org>  Sun, 21 May 2006 18:29:00 -0500

gparted (0.0.9-1) unstable; urgency=low

  * New upstream release.
  * Rebuilding with current versions of glibmm and sigc++.
  	- Closes: #342051.

 -- David Moreno Garza <damog@debian.org>  Sun,  4 Dec 2005 18:52:56 -0600

gparted (0.0.8-1) unstable; urgency=low

  * Initial Release (Closes: #270352).

 -- David Moreno Garza <damog@debian.org>  Sat, 26 Feb 2005 19:12:46 -0600

